Skip to main content
POST
/
v1
/
device
/
thermal-control
/
settings
Submit Thermal Control Settings
curl --request POST \
  --url https://api.nox.energy/v1/device/thermal-control/settings \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "user_id": "01910947a-fab9-450e-b5ac-48e9c4f3e725",
  "room": {
    "temperature_upper_bound": 1,
    "temperature_lower_bound": 1.5
  },
  "steering_enabled": {
    "heat_pump": true
  },
  "location": {
    "country": "BE",
    "postal_code": "3500"
  }
}
'
{
  "status": "success",
  "message": "Settings updated successfully.",
  "meta": {
    "energy_supplier": "Energy Supplier A"
  }
}

Authorizations

x-api-key
string
header
required

API Key authentication. Enter your API key in the format: YOUR_API_KEY

Body

application/json

The body is of type Request Body · object.

Response

Successful response

The response is of type Response Submit Thermal Control Settings V1 Device Thermal Control Settings Post · object.